DROP TABLE IF EXISTS {pref}banlist;
CREATE TABLE {pref}banlist (
  `name` varchar(32) NOT NULL,
  `reason` varchar(255) NOT NULL DEFAULT '',
  `admin` varchar(32) NOT NULL,
  `time` bigint(20) NOT NULL,
  `temptime` bigint(20) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `time` (`time`),
  KEY `temptime` (`temptime`),
  KEY `admin` (`admin`),
  KEY `reason` (`reason`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}cache;
CREATE TABLE {pref}cache (
  `name` varchar(20) NOT NULL,
  `value` longtext NOT NULL,
  `time` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS {pref}donate_groups;
CREATE TABLE {pref}donate_groups (
  `id` int(2) NOT NULL,
  `name` varchar(50) CHARACTER SET utf8 NOT NULL DEFAULT '1',
  `sort` int(3) NOT NULL,
  `img` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `sort` (`sort`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS {pref}donate_shop;
CREATE TABLE {pref}donate_shop (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemid` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '0',
  `name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `type` varchar(20) CHARACTER SET utf8 NOT NULL DEFAULT 'item',
  `grid` int(11) NOT NULL DEFAULT '1',
  `min` int(11) NOT NULL DEFAULT '1',
  `stack` int(11) DEFAULT '256',
  `price` float DEFAULT NULL,
  `market` tinyint(1) NOT NULL DEFAULT '0',
  `shop` tinyint(1) NOT NULL DEFAULT '0',
  `ench` text CHARACTER SET utf8 NOT NULL,
  `extra` text CHARACTER SET utf8 NOT NULL,
  `sort` int(3) NOT NULL DEFAULT '0',
  `rcon` text CHARACTER SET utf8 NOT NULL,
  `real` double(64,2) NOT NULL DEFAULT '0.00',
  `take` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `grid` (`grid`),
  KEY `market` (`market`),
  KEY `shop` (`shop`),
  KEY `itemid` (`itemid`),
  KEY `name` (`name`),
  KEY `sort` (`sort`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}goods;
CREATE TABLE {pref}goods (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server` int(3) NOT NULL DEFAULT '0',
  `nickname` varchar(16) NOT NULL,
  `type` varchar(10) NOT NULL DEFAULT 'item',
  `item_id` varchar(255) NOT NULL,
  `item_amount` int(11) NOT NULL,
  `msmod` varchar(255) NOT NULL DEFAULT '',
  `ench` varchar(255) NOT NULL DEFAULT '',
  `extra` varchar(255) NOT NULL DEFAULT '',
  `rcon` text NOT NULL,
  `sc_item` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `nickname` (`nickname`),
  KEY `msmod` (`msmod`),
  KEY `server` (`server`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}groups;
CREATE TABLE {pref}groups (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `serverid` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '0',
  `sort` int(5) NOT NULL DEFAULT '0',
  `name` varchar(30) NOT NULL,
  `realname` varchar(30) NOT NULL,
  `description` varchar(1000) NOT NULL,
  `pay` varchar(20) NOT NULL,
  `money` varchar(20) CHARACTER SET utf8 NOT NULL DEFAULT '0',
  `rebuy` varchar(20) CHARACTER SET latin1 NOT NULL,
  `remoney` varchar(20) CHARACTER SET utf8 NOT NULL DEFAULT '0',
  `expire` varchar(30) CHARACTER SET latin1 NOT NULL,
  `shop` tinyint(2) NOT NULL DEFAULT '0',
  `market` tinyint(2) NOT NULL DEFAULT '0',
  `skins` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `cloaks` varchar(30) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `prefix` tinyint(2) NOT NULL DEFAULT '0',
  `profile` tinyint(1) NOT NULL DEFAULT '1',
  `rcon` longtext CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `serverid` (`serverid`),
  KEY `sort` (`sort`),
  KEY `prefix` (`prefix`),
  KEY `profile` (`profile`),
  KEY `money` (`money`),
  KEY `remoney` (`remoney`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}log_shop;
CREATE TABLE {pref}log_shop (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server` int(5) NOT NULL DEFAULT '0',
  `username` varchar(30) NOT NULL DEFAULT '',
  `exchange` varchar(10) NOT NULL DEFAULT '',
  `item` varchar(50) NOT NULL DEFAULT '',
  `action` varchar(30) NOT NULL DEFAULT '0',
  `money` varchar(255) NOT NULL DEFAULT '',
  `real_money` varchar(255) NOT NULL DEFAULT '0',
  `time` int(11) NOT NULL DEFAULT '0',
  `itemid` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `username` (`username`),
  KEY `exchange` (`exchange`),
  KEY `time` (`time`),
  KEY `money` (`money`),
  KEY `server` (`server`),
  KEY `real_money` (`real_money`),
  KEY `itemid` (`itemid`),
  KEY `action` (`action`),
  KEY `item` (`item`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

DROP TABLE IF EXISTS {pref}members;
CREATE TABLE {pref}members (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` varchar(32) NOT NULL DEFAULT '',
  `pass` varchar(32) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `regIP` varchar(15) NOT NULL DEFAULT '',
  `dt` datetime DEFAULT NULL,
  `visit` int(11) NOT NULL DEFAULT '0',
  `privmsg` int(11) NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `usr` (`usr`),
  UNIQUE KEY `email` (`email`),
  KEY `visit` (`visit`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}money;
CREATE TABLE {pref}money (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(32) CHARACTER SET utf8 NOT NULL,
  `balance` double(64,2) NOT NULL DEFAULT '0.00',
  `status` int(2) NOT NULL DEFAULT '0',
  `posts` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}news;
CREATE TABLE {pref}news (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activ` tinyint(1) NOT NULL DEFAULT '0',
  `title` varchar(50) NOT NULL DEFAULT '',
  `icon` varchar(300) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `keywords` text NOT NULL,
  `news` text NOT NULL,
  `time` int(11) NOT NULL DEFAULT '0',
  `user` varchar(80) NOT NULL,
  `views` int(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`),
  KEY `time` (`time`),
  KEY `activ` (`activ`),
  KEY `user` (`user`),
  KEY `views` (`views`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}payments;
CREATE TABLE {pref}payments (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `payid` varchar(32) NOT NULL,
  `date_paid` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `amount` varchar(255) NOT NULL DEFAULT '',
  `id_user` varchar(40) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `user_ip` varchar(40) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  `payer` varchar(255) NOT NULL DEFAULT '',
  `merchant` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `payid` (`payid`),
  KEY `merchant` (`merchant`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}realmoney;
CREATE TABLE {pref}realmoney (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(15) DEFAULT NULL,
  `cash` decimal(30,2) unsigned DEFAULT '0.00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `cash` (`cash`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}sendpassword;
CREATE TABLE {pref}sendpassword (
  `uid` int(11) NOT NULL,
  `key` varchar(32) NOT NULL,
  `time` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `uid` (`uid`),
  KEY `key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}session;
CREATE TABLE {pref}session (
  `id` varchar(255) NOT NULL,
  `user` varchar(255) NOT NULL DEFAULT '',
  `data` mediumtext NOT NULL,
  `timestamp` int(11) NOT NULL,
  `browser` varchar(150) NOT NULL DEFAULT '',
  `page` varchar(255) NOT NULL DEFAULT '',
  `ip` varchar(40) NOT NULL DEFAULT '',
  `autologin` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `timestamp` (`timestamp`),
  KEY `autologin` (`autologin`),
  KEY `user` (`user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}settings;
CREATE TABLE {pref}settings (
  `name` varchar(20) CHARACTER SET utf8 NOT NULL,
  `value` varchar(300) CHARACTER SET utf8 NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}transaction;
CREATE TABLE {pref}transaction (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item` varchar(255) CHARACTER SET utf8 NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  `money` double(64,2) NOT NULL DEFAULT '0.00',
  `time` int(11) NOT NULL DEFAULT '0',
  `bu` int(11) NOT NULL,
  `su` int(11) NOT NULL,
  `server` int(5) NOT NULL DEFAULT '6',
  PRIMARY KEY (`id`),
  KEY `item` (`item`),
  KEY `uid` (`bu`),
  KEY `suid` (`su`),
  KEY `time` (`time`),
  KEY `server` (`server`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}unban;
CREATE TABLE {pref}unban (
  `name` varchar(20) CHARACTER SET latin1 DEFAULT NULL,
  `count` varchar(20) CHARACTER SET latin1 DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS {pref}user_shop;
CREATE TABLE {pref}user_shop (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `server` int(3) NOT NULL DEFAULT '0',
  `user` varchar(16) CHARACTER SET utf8 NOT NULL,
  `itemid` varchar(255) CHARACTER SET utf8 NOT NULL,
  `stack` int(2) NOT NULL DEFAULT '0',
  `price` decimal(10,2) NOT NULL DEFAULT '1.00',
  `rcon` text CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`),
  KEY `price` (`price`),
  KEY `stack` (`stack`),
  KEY `user` (`user`),
  KEY `itemid` (`itemid`),
  KEY `server` (`server`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS permissions;
CREATE TABLE permissions (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `permission` varchar(200) NOT NULL,
  `world` varchar(50) NOT NULL,
  `value` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique` (`name`,`permission`,`world`,`type`),
  KEY `user` (`name`,`type`),
  KEY `world` (`world`,`name`,`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS permissions_entity;
CREATE TABLE permissions_entity (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `prefix` varchar(255) NOT NULL,
  `suffix` varchar(255) NOT NULL,
  `default` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `default` (`default`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS permissions_inheritance;
CREATE TABLE permissions_inheritance (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `child` varchar(50) NOT NULL,
  `parent` varchar(50) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `world` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `child` (`child`,`parent`,`type`,`world`),
  KEY `child_2` (`child`,`type`),
  KEY `parent` (`parent`,`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
